# Uses of Class
it.tdlight.jni.TdApi.InputPassportElementErrorSource

## Uses of TdApi.InputPassportElementErrorSource in it.tdlight.jni

Subclasses of TdApi.InputPassportElementErrorSource in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputPassportElementErrorSourceDataField`
A data field contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceFile`
The file contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceFiles`
The list of attached files contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceFrontSide`
The front side of the document contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceReverseSide`
The reverse side of the document contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceSelfie`
The selfie contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceTranslationFile`
One of the files containing the translation of the document contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceTranslationFiles`
The translation of the document contains an error.
`static final class`
`TdApi.InputPassportElementErrorSourceUnspecified`
The element contains an error in an unspecified place.
Fields in it.tdlight.jni declared as TdApi.InputPassportElementErrorSource
Modifier and Type
Field
Description
`TdApi.InputPassportElementErrorSource`
TdApi.InputPassportElementError.`source`
Error source.
Constructors in it.tdlight.jni with parameters of type TdApi.InputPassportElementErrorSource
Modifier
Constructor
Description
``
`InputPassportElementError(TdApi.PassportElementType type, String message, TdApi.InputPassportElementErrorSource source)`
Contains the description of an error in a Telegram Passport element; for bots only.